import oscP5.*;
import netP5.*;

OscP5 oscP5;
NetAddress myRemoteLocation;

FloorTile[] floorTile;
int amountOfTiles = 6;

PVector size = new PVector(100, 100);
PVector[] position =
{
  new PVector(200, 100), 
  new PVector(100, 100), 
  new PVector(0, 100), 
  new PVector(200, 0), 
  new PVector(100, 0), 
  new PVector(0, 0)
};

boolean INITIALIZE = false;
float maxWeight = 1000;

void setup() 
{
  size(300, 200);
  smooth();
  oscP5 = new OscP5(this, 9000);
  myRemoteLocation = new NetAddress("127.0.0.1",12000);
  
  floorTile = new FloorTile[amountOfTiles];
  for (int i=0; i<amountOfTiles; i++)
  {
    floorTile[i] = new FloorTile(i, size, position[i]);
  }
}


void draw() 
{
  background(0);
  for(int i=0; i<floorTile.length;i++) floorTile[i].draw(); 
  oscSend();
}
