void oscEvent(OscMessage theOscMessage) 
{
  if (theOscMessage.addrPattern().equals("/sensors"))
  {
    int sender = theOscMessage.get(0).intValue();
    if(sender < amountOfTiles)
    {
      if (INITIALIZE)
      {
        floorTile[sender].initialize(theOscMessage);
      }
      else
      {
        floorTile[sender].update(theOscMessage);
      }
    }
  }
}

void oscSend()
{
  OscMessage myMessage = new OscMessage("/Position"); 
 
  for(int i=0; i<amountOfTiles; i++)
  {
    PVector midPointOfTile = floorTile[i].getMidPoint();
    //float dist = map(floorTile[i].weight,0,maxWeight,1,0);
    float dist = map(PVector.dist(floorTile[i].touchPoint,midPointOfTile),0,50,1,0);
    myMessage.add(dist);
  } 
  oscP5.send(myMessage, myRemoteLocation); 
}
